Loading...
Searching...
No Matches
halide_trace_packet_t Struct Reference

The header of a packet in a binary trace. More...

`#include <HalideRuntime.h>`

## Public Attributes

uint32_t | size
| The total size of this packet in bytes.
int32_t | id
| The id of this packet (for the purpose of parent_id).
struct halide_type_t | type
| The remaining fields are equivalent to those in halide_trace_event_t.
enum halide_trace_event_code_t | event
int32_t | parent_id
int32_t | value_index
int32_t | dimensions

## Detailed Description

The header of a packet in a binary trace.

All fields are 32-bit.

Definition at line 679 of file HalideRuntime.h.

## Member Data Documentation

## size

uint32_t halide_trace_packet_t::size

The total size of this packet in bytes.

Always a multiple of four. Equivalently, the number of bytes until the next packet.

Definition at line 683 of file HalideRuntime.h.

## id

int32_t halide_trace_packet_t::id

The id of this packet (for the purpose of parent_id).

Definition at line 686 of file HalideRuntime.h.

## type

struct halide_type_t halide_trace_packet_t::type

The remaining fields are equivalent to those in halide_trace_event_t.

Definition at line 690 of file HalideRuntime.h.

## event

enum halide_trace_event_code_t halide_trace_packet_t::event

Definition at line 691 of file HalideRuntime.h.

## parent_id

int32_t halide_trace_packet_t::parent_id

Definition at line 692 of file HalideRuntime.h.

## value_index

int32_t halide_trace_packet_t::value_index

Definition at line 693 of file HalideRuntime.h.

## dimensions

int32_t halide_trace_packet_t::dimensions

Definition at line 694 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h